plr = {
    x = 0,
    y = 0,
    z = 32,
    speed = 4
}

function love.mousemoved(x,y,dx)
    if not dt then return end
    o_e.camera.changeDirection(dx * dt * 0.35)
end

local time = 0

function feel(walking)
    if walking then
        time = time + dt
        local mul = 0.6
        local high = 10
        off = math.sin(time * math.pi / mul)^2 * high
        plr.z = 35 - off
    end
end

function move_plr()
    local walking = false
    local angle = o_e.camera.getDirection()
    if love.keyboard.isDown("w") then
        walking = true
        plr.x = plr.x + math.cos(angle) * plr.speed * dt * 100
        plr.y = plr.y + math.sin(angle) * plr.speed * dt * 100
    end
    if love.keyboard.isDown("s") then
        walking = true
        plr.x = plr.x - math.cos(angle) * plr.speed * dt * 100
        plr.y = plr.y - math.sin(angle) * plr.speed * dt * 100
    end
    if love.keyboard.isDown("d") then
        walking = true
        plr.x = plr.x + math.cos(angle + math.rad(90)) * plr.speed * dt * 100
        plr.y = plr.y + math.sin(angle + math.rad(90)) * plr.speed * dt * 100
    end
    if love.keyboard.isDown("a") then
        walking = true
        plr.x = plr.x - math.cos(angle + math.rad(90)) * plr.speed * dt * 100
        plr.y = plr.y - math.sin(angle + math.rad(90)) * plr.speed * dt * 100
    end
    feel(walking)
    o_e.camera.setPosition(plr.x,plr.y,plr.z)
end