local function set_screen_size(w, h)
    screen.w, screen.h = w, h
end

local function set_screen_scale(sx, sy)
    screen.sx, screen.sy = sx, sy
end

local function get_width()
    return screen.w, screen.h
end

local function get_scale()
    return screen.sx, screen.sy
end

local screen = {
    get_width = get_width,
    get_scale = get_scale,
    w = love.graphics:getWidth(),
    h = love.graphics:getHeight(),
    sx = 1,
    sy = 1,
}

return screen